> For the complete documentation index, see [llms.txt](https://docs.bindplane.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bindplane.com/integrations/sources/statsd.md).

# StatsD

### Supported Platforms

| Platform | Metrics | Logs | Traces |
| -------- | ------- | ---- | ------ |
| Linux    | ✓       |      |        |
| Windows  | ✓       |      |        |
| macOS    | ✓       |      |        |

### Configuration Table

<table><thead><tr><th width="187">Parameter</th><th width="95.84765625">Type</th><th width="96.80078125">Default</th><th>Description</th></tr></thead><tbody><tr><td>listen_ip</td><td><code>string</code></td><td>"0.0.0.0"</td><td>IP Address to listen on.</td></tr><tr><td>listen_port</td><td><code>int</code></td><td>8125</td><td>Port to listen on and receive metrics from statsd clients.</td></tr><tr><td>aggregation_interval</td><td><code>int</code></td><td>60</td><td>The aggregation time in seconds that the receiver aggregates the metrics.</td></tr><tr><td>enable_metric_type</td><td><code>bool</code></td><td>false</td><td>Enable the statsd receiver to be able to emit the metric type as a label.</td></tr><tr><td>is_monotonic_counter</td><td><code>bool</code></td><td>false</td><td>Set all counter-type metrics the statsd receiver received as monotonic.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/integrations/sources/statsd.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
